Autor Zpráva
mencik
Profil
Provozoval jsem už asi před 15-ti lety jednoduchý web, kde je několik málo skriptů PHP ve verzi 4.4. Dcera kreslí portréty - tak jsem jí udělal web tak, že jsem změnil obsah a přepsal názvy podstránek mého starého webu a koupil jí u Active 24 webhosting a doménu. (Dárek na vánoce)
Web u Active24 ale nefungoval z důvodu, že tam prý mají "nový" stroj, který zná jen "novější a bezpečnější" verzi PHP. Dali mně ho zatím na "starý" stroj ale upozornili mně, že v budoucnu jim vše poběží na nových. Stránky vypadají takto: www.portrety-uhlem.eu/
Nefungovaly odkazy v menu tohoto typu:
 <a href="<?php $url='fotky.php'; TestURL($url); ?>title="Portréty kreslené podle fotky">&nbsp;PORTRÉTY&nbsp;DLE&nbsp;FOTKY&nbsp;</a>  
a
 <a href="pohlednice.php?obrazek=<?php echo $jednoduche_url;?>portret-001.jpg" title="Obrázek poslat jako pohlednici">Poslat pohlednici</a></div>  

Ten jejich "nový stroj" si do výsledného kodu cosi přidával a tím odkaz nefungoval. Všechno ostatní tam běželo korektně.

Takže potřebuji tu webovou prezentaci aktualizovat tak, aby běžela korektně i na vyšší verzi skriptovacího jazyka - až u Active24 přejdou kompletně na novější stroje.
Myslím, že web je hodně jednoduchý a toho PHP je tam hooodně málo, takže s tím pro odborníka moc práce nebude??

Děkuji za nabídky na mail: menci@email.cz

Vaše odpověď

Mohlo by se hodit

Podělte se prosím o své zkušenosti s touto kategorií Věnujte pozornost pravidlům. Zejména:
• Máte-li zájem o tuto nabídku/poptávku, využijte uvedený kontakt, nepište do diskuse.
• Držte se tématu.
  • Nepoučujte.

Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: